For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Page Incidents

Publish and update incidents on a status page.

Get all incidents

get

Get a list of all the incidents

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobject[]Optional
get/api/status-page/{status_page_id}/incidents
GET /api/status-page/{status_page_id}/incidents HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a4d",
      "title": "Elevated API error rates",
      "status": "investigating",
      "impact": "major",
      "components": [
        "66c1d2e3f4a5b60718293a4c"
      ],
      "statusPage": "66c1d2e3f4a5b60718293a4b",
      "createdAt": "2026-03-13T09:41:00.000Z"
    }
  ]
}

Get an incident

get

Gets a list of all the incidents occurred on a status page

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

incident_idstringRequired

incident_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
get/api/status-page/{status_page_id}/incident/{incident_id}
GET /api/status-page/{status_page_id}/incident/{incident_id} HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4d",
    "title": "Elevated API error rates",
    "status": "investigating",
    "impact": "major",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "statusPage": "66c1d2e3f4a5b60718293a4b",
    "createdAt": "2026-03-13T09:41:00.000Z"
  }
}

Create a new incident

post

Creates a new incident on a status page

{
	"title": "TITLE OF THE INCIDENT 4",
	"desc": "description about the incident",
	"severity": "degraded-performance",
	"componentStatus": [{
			"id": "{{ _.component_id }}",
			"status": "critical-outage"
		}],
	"identifiedAt": "DD/MM/YYYY",
	"identifiedAtTime": "05:00"
}

Params:

* ALL THE TIMESTAMPS SHOULD BE IN UTC

componentStatus *: Accepts a collection of objects used to set status to multiple components at once. Accepted values of component status are operational, degraded-performance, partial-outage, critical-outage.

title *: Title of the incident.

desc *: Description of the incident

severity *: Impact of incident on the status page. Possible values - operational, degraded-performance, partial-outage, critical-outage.

notify: Specify if you want to notify subscribers about the incident. Defaults to false. Type: Boolean

identifiedAtTime: Specify the time when the incident was triggered in 24 Hour format. Default: Current time in UTC

identifiedAt: Specify the date of the incident in UTC. Default: Current Date in UTC

* Required

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
titlestringOptional
descstringOptional
severitystringOptional
identifiedAtTimestringOptional
identifiedAtstringOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/incident/new
POST /api/status-page/{status_page_id}/incident/new HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "title": "TITLE OF THE INCIDENT 4",
  "desc": "description about the incident",
  "severity": "degraded-performance",
  "componentStatus": [
    {
      "id": "<component-id>",
      "status": "critical-outage"
    }
  ],
  "identifiedAtTime": "05:00",
  "identifiedAt": "10/03/2023"
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4d",
    "title": "Elevated API error rates",
    "status": "investigating",
    "impact": "major",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "statusPage": "66c1d2e3f4a5b60718293a4b",
    "createdAt": "2026-03-13T09:41:00.000Z"
  }
}

Edit an incident

post

Edit an incident on a status page

{
	"title": "EDITED TITLE OF THE INCIDENT 4",
	"desc": "edited description about the incident",
	"severity": "degraded-performance",
	"componentStatus": [{
			"id": "{{ _.component_id }}",
			"status": "critical-outage"
		}]
}

Params:

componentStatus *: Accepts a collection of objects used to set status to multiple components at once. Accepted values of component status are operational, degraded-performance, partial-outage, critical-outage.

title *: Title of the incident.

desc *: Description of the incident

severity *: Impact of incident on the status page. Possible values - operational, degraded-performance, partial-outage, critical-outage.

* Required

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

incident_idstringRequired

incident_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
titlestringOptional
descstringOptional
severitystringOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/incident/{incident_id}/edit
POST /api/status-page/{status_page_id}/incident/{incident_id}/edit HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 194

{
  "title": "EDITED TITLE OF THE INCIDENT 4",
  "desc": "edited description about the incident",
  "severity": "degraded-performance",
  "componentStatus": [
    {
      "id": "<component-id>",
      "status": "critical-outage"
    }
  ]
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4d",
    "title": "Elevated API error rates (updated)",
    "status": "investigating",
    "impact": "major",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "statusPage": "66c1d2e3f4a5b60718293a4b",
    "createdAt": "2026-03-13T09:41:00.000Z"
  }
}

Add a status update to incident

post

Add a status update to a status page incident

{
	"componentStatus": [{
		"id": "{{ _.component_id }}",
		"status": "operational"
	}],
	"title": "this is a status update",
	"status": "update",
	"notify": true,
	"time": "05:00",
	"date": "10/07/2023"

}

Params:

* ALL THE TIMESTAMPS SHOULD BE IN UTC

componentStatus *: Accepts a collection of objects used to set status to multiple components at once.. Accepted values of component status are operational, degraded-performance, partial-outage, critical-outage.

title *: Title of the incident.

status *: Type of the update. The value of the update can be any of the following - investigating, identified, resolved, update, postmortem.

notify: Specify if you want to notify the subscribers of the page. default is false. Type: Boolean

date: date of the update in DD/MM/YYYY format, otherwise defaults to current date in UTC.

time: time of the update, defaults to current time in UTC.

* Required

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

incident_idstringRequired

incident_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
titlestringOptional
statusstringOptional
timestringOptional
datestringOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/incident/{incident_id}/add-status
POST /api/status-page/{status_page_id}/incident/{incident_id}/add-status HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 155

{
  "componentStatus": [
    {
      "id": "<component-id>",
      "status": "operational"
    }
  ],
  "title": "this is a status update",
  "status": "update",
  "time": "05:00",
  "date": "10/07/2023"
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4d",
    "title": "Elevated API error rates",
    "status": "monitoring",
    "impact": "major",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "statusPage": "66c1d2e3f4a5b60718293a4b",
    "createdAt": "2026-03-13T09:41:00.000Z"
  }
}

Last updated